apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: ipu-device-plugin-daemonset
  namespace: kube-system
spec:
  selector:
    matchLabels:
      name: ipu-dp-ds
  template:
    metadata:
      labels:
        name: ipu-dp-ds
    spec:
      hostNetwork: true
      containers:
      - image: graphcorecn/ipu-k8s-device-plugin:latest
        name: ipu-k8s-device-plugin
        securityContext:
          privileged: true
        volumeMounts:
        - name: dp
          mountPath: /var/lib/kubelet/device-plugins
        - name: sys
          mountPath: /sys
        - name: hostvolume
          mountPath: /etc/ipuof.conf.d
      volumes:
      - name: dp
        hostPath:
          path: /var/lib/kubelet/device-plugins
      - name: sys
        hostPath:
          path: /sys
      - name: hostvolume
        hostPath:
          path: /etc/ipuof.conf.d
